toastr.options = {
    "closeButton": true,
    "positionClass": "toast-top-center"
}

function showSuccessMessage(msg) {
    layer.msg(msg,{icon:1})
}

function showErrorMessage(msg) {
   	layer.msg(msg,{icon:5})
}

function showWarningMessage(msg) {
    layer.msg(msg,{icon:2})
}

function showInfoMessage(msg) {
    layer.msg(msg,{icon:6})
}

new Vue({
  el: '#app',
  data: {
  	modal:"",
  	type:"",
  	status:"",
  	name:"",
  	isDanger:"1",
  	pagesize:10,
  	total:"",
  	pagetotal:'',//总页数
  	currentPage:1,//当前页数
    tablelist:[],
    types:[],
    Statics:{},
    wujilu:false,
  },
  mounted(){
  	var vm=this
  	vm.getModal()
  	vm.getDatas()
  	vm.gettypes()
  },
  methods:{ 
  	//获取筛查数据模型
  	getModal:function(){
  		var vm=this
  		jbscAPI.screenStatics().then(function(res){
			if(res.status==200){ 				
				vm.Statics=res.data;
			}else{
				showErrorMessage(res.msg);
			}
		})
  	},
  	//获取数据
  	getDatas:function(){
  		var vm=this
  		var params={
  			diseaseType: vm.type, //疾病类型
			dealType: vm.status, //处理方式(全部为空 1已预约 2已跟踪 3已接诊4待处理)
			patientName: vm.name, //搜索居民的姓名
			isDanger:vm.isDanger,  //是否高危预警(0否 1是)
			pageNo: vm.currentPage,
			pageSize: vm.pagesize
  		}  
  		jbscAPI.getResultList(params).then(function(res){
			if(res.status==200){
				vm.wujilu=false
				vm.total=res.data.num
				vm.pagetotal= Math.ceil(res.data.num/vm.pagesize) 
				vm.tablelist=res.data.data;
				if(vm.tablelist.length==0){
					vm.wujilu=true
				}
			}else{
				showErrorMessage(res.msg);
			}
		})
  	},
  	gettypes:function(){
  		var vm=this
  		jbscAPI.getSpecialDisease().then(function(res){
			if(res.status==200){ 				
				vm.types=res.data;
			}else{
				showErrorMessage(res.msg);
			}
		})
  	},
  	gettable:function(type){
  		var vm=this
  		vm.isDanger=type
  		vm.search(1)
  	},
	//页面跳转
  	search:function(page){
  		var vm=this
  		vm.currentPage=page
  		vm.getDatas()
  	},
  	//转诊
  	zhuanzhen:function(){
  		showInfoMessage("PC上暂不支持，请打开手机端疑似高危记录进行转诊预约!")
  	},
  	//健康教育
  	jkjy:function(data){
  		var receiver={"code":data.patientCode,name:data.patientName}
  		sessionStorage.setItem("jbsc-jkwzreceiver",JSON.stringify(receiver))
  		location.href="../../../../health-education/login.html?origin=jbsc"
  	},
  	//筛查
  	shaicha:function(data,isNew){
  		var vm=this
  		if(isNew){
  			//再次筛查数+1
  			vm.Statics.againCount++
			var vm=this
    		layer.open({
			  type: 2,
			  area: ['820px', '648px'],
			  shade: 0.5,
			  id:"questionnaire",
			  title: '筛选统计',
			  fixed: true, //不固定
			  maxmin: true,
			  closeBtn:1,
			  shift: 5,
			  shadeClose: false, //点击遮罩关闭层
			  content: 'questionnaire.html?fliter_code='+data.templateCode+'&fliter_title='+data.templateTitle+'&resident_code='+data.patientCode+'&resident_name='+data.patientName
			});
  			return ;
  		}
		layer.open({
		  type: 2,
		  offset: 'rb', //右下角弹出
		  id:"filter_type",
		  area: ['280px', '100%'],
		  shade: 0.5,
		  title: false,
		  fixed: true, //不固定
		  maxmin: false,
		  closeBtn:0,
		  shift: 5,
		  shadeClose: true, //点击遮罩关闭层
		  content: 'filter_type.html'
		});
  	},
  	//健康跟踪
  	jkgz:function(data){
  		var vm=this
  		//跳转到筛查结果页面
		layer.open({
		  type: 2,
		  area: ['500px', '550px'],
		  shade: 0.5,
		  title: '家医建议',
		  fixed: true, //不固定
		  maxmin: false,
		  closeBtn:1,
		  shift: 5,
		  shadeClose: false, //点击遮罩关闭层
		  content: 'advice.html?resultCode='+data.code+'&filter_code='+data.templateCode
		});
	}
  }
})